Subject: Re: linux-next: build failure after merge of the final tree (wireless tree related)

From: Kalle Valo <[email-masked]>
Date: Thu, 22 Dec 2011 10:38:56 +0200

Hi Stephen,

I'll add linux-wireless and ath6kl-devel as I'm sick today and hopefully
someone else from our team will take a look at it.

On 12/22/2011 07:58 AM, Stephen Rothwell wrote:

> After merging the final tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/net/wireless/ath/ath6kl/cfg80211.c:27:1: error: expected ')' before 'KBUILD_MODNAME'
> drivers/net/wireless/ath/ath6kl/cfg80211.c:27:1: error: 'KBUILD_MODNAME' undeclared here (not in a function)
> drivers/net/wireless/ath/ath6kl/cfg80211.c:27:1: error: expected ',' or ';' before string constant
> drivers/net/wireless/ath/ath6kl/init.c:32:1: error: expected ')' before 'KBUILD_MODNAME'
> drivers/net/wireless/ath/ath6kl/init.c:32:1: error: 'KBUILD_MODNAME' undeclared here (not in a function)
> drivers/net/wireless/ath/ath6kl/init.c:32:1: error: expected ',' or ';' before string constant
> drivers/net/wireless/ath/ath6kl/init.c:33:1: error: expected ')' before 'KBUILD_MODNAME'
> drivers/net/wireless/ath/ath6kl/init.c:33:1: error: invalid initializer
> drivers/net/wireless/ath/ath6kl/init.c:33:1: error: expected ',' or ';' before string constant
> drivers/net/wireless/ath/ath6kl/init.c:34:1: error: expected ')' before 'KBUILD_MODNAME'
> drivers/net/wireless/ath/ath6kl/init.c:34:1: error: invalid initializer
> drivers/net/wireless/ath/ath6kl/init.c:34:1: error: expected ',' or ';' before string constant
> 
> I can't figure out what goes wrong here.  On the compile command line,
> KBUILD_MODNAME is not defined, but KBUILD_BASE_NAME is.
> 
> However, reverting commit fde57764ef87 ("ath6kl: enable USB support")
> made the problem go away.  That commit caused the above two files to be
> built into two separate modules.

Is this ppc specific problem? Is there anything we should do on ath6kl
to fix this?

Kalle